class CreateGtopicBanks < ActiveRecord::Migration[5.2]
  def change
    create_table :gtopic_banks do |t|
      t.references :user
      t.string :name
      t.text :description
      t.integer :quotes
      t.boolean :is_public
      t.integer :topic_type
      t.integer :topic_source
      t.integer :topic_property_first
      t.integer :topic_property_second
      t.string :source_unit
      t.integer :topic_repeat
      t.string :province
      t.string :city
      t.references :graduation_topic
      t.references :course_list

      t.timestamps
    end
  end
end
